#!/usr/bin/python
"""
Copyright 2014 (c) Hostile <Encoder301@Yahoo.com>
Licensed under the terms of the GNU GPL License version 2
"""

from __future__ import division
import os.path as man

__doc__="""Python Size Module
Developed By Hostile
<Encoder301@yahoo.com>
""" 
__all__=["check","getb","getB","getKB","getMB","getGB"]

class check:
    """class for get every thing of a file"""
    def __init__(self,path):
        self.path=path
        
    def getKB(self,num=3):
        try:
            size=man.getsize(self.path)/1024
            size=str(size)
            index=size.index('.')
            size=float(size[:index+num+1])
            return size
        except Exception ,e :
            print e

    def getMB(self,num=3):
        try:
            size=man.getsize(self.path)/1024
            size=size/1024
            size=str(size)
            index=size.index('.')
        
            size=float(size[:index+num+1])
            return size
        except Exception , e:
            print e
            
    def getGB(self,num=3):
        try:
            size=man.getsize(self.path)
            for i in range(3):
                size=size/1024
            size=str(size)
            index=size.index('.')
        
            size=float(size[:index+num+1])
            
            return size

        except Exception , e:
            print e
            
    def getAll(self,num=3):
        #(File size (KB),File size (MB), File size (GB))
        return (self.getKB(num),self.getMB(num),self.getGB(num))

def getb(arg):
    """get size of a file (bit)"""
    try : 
        size=man.getsize(arg)
        return size*8
    except Exception,e:
        print e
        
def getB(arg):
    """get size of a file (Byte)"""
    try:
        size=man.getsize(arg)
        return size
    except Exception ,e :
        print e
        
def getKB(arg,num=3):
    """get size of a file (Killo Byte)"""
    try:
        size=man.getsize(arg)/1024
        size=str(size)
        index=size.index('.')
        size=float(size[:index+num+1])
        return size
    except Exception ,e :
        print e
        
def getMB(arg,num=3):
    """get size of a file (Mega Byte)"""
    try:
        size=man.getsize(arg)/1024
        size=size/1024
        size=str(size)
        index=size.index('.')
        
        size=float(size[:index+num+1])
        return size
    except Exception , e:
        print e
        
def getGB(arg,num=3):
    """get size of a file (Giga Byte)"""
    try:
        size=man.getsize(arg)
        for i in range(3):
            size=size/1024
        size=str(size)
        index=size.index('.')
        
        size=float(size[:index+num+1])
        return size

    except Exception , e:
        print e
        





    
