#_misc module
#using sum functions 
#:D
import Image as img
class starting(object):
    """Base class for converting and 
       resizing and rotating images
       use Object as meta class
       to use it late as new version
       of classes"""       
     
    def __init__(self,input_path,out_path):
        self.base=img.open(input_path)
        
        self.out=out_path
       
    def resize_image(self,w,h):
        #method to get height weight and path of the folder to 
        #resize input file
        #weight must be integer or Number
        #height must be integer or Number

        try:
            
            w=int(w)
            
        except ValueError:
            
            print "On argument 1 ,Weight\nA number excepted,not another type"
            return
            
        try:
            h=int(h)
            
        except ValueError:
            
            print "On argument 2 ,Height\nA number excepted,not another type"
            return
            
        out_file=self.base.resize((w,h))
        out_file.save(self.out)
    
    def rotate_image(self,deegres):
        #method to get deegres of the rotatetion and out path to 
        #rotate input file
        #deegres must be number
    
        try:
            deegres=int(deegres)
        except ValueError:
            #argument must be integer noot another type
            print "On argument 1 ,Deegres\nA number excepted,not another type"
            return

        out_file=self.base.rotate(deegres)
        out_file.save(self.out)
    
    def do_all(self,w,h,deegres):
        #method to get weight , height , deegres and out path to
        #rotate , resize and save an input file
        #every argument must be number
    
        try:
            
            w=int(w)
            
        except ValueError:
            
            print "On argument 1 ,Weight\nA number excepted,not another type"
            return
            
        try:
            h=int(h)
            
        except ValueError:
            
            print "On argument 2 ,Height\nA number excepted,not another type"
            return
            
        try:
            
            deegres=int(deegres)
            
        except ValueError:
            
            print "On argument 3 ,Deegres\nA number excepted,not another type"
            return
            
        out_=self.base.rotate(deegres)
        out_file=out_.resize((w,h))
        out_file.save(self.out)
    #END OF CLASS 
        

class get_data(object):
    """class to get data of a input image"""
    
    def __init__(self,input_path):
        #an string to open path
        meta=img.open(input_path)
        self.meta=meta
        
    def get_size(self):   
        #get size of the weight and height of the image
    
        return self.meta.size
        
    def get_format(self):
        #get size of the format of the image
    
        return self.meta.format
        
    def get_both(self):
        #get size and format of the image
    
        return (self.meta.size[0],self.meta.size[1],self.format)
#encodeing path
def en(p):
    p=p.encode("hex")
    p=p.encode("uu")
    return p
    
#decoding path
def de(p):
    p=p.decode("uu")
    p=p.decode("hex")
    return p
class starting_multi(object):
    """Base class for converting and 
       resizing and rotating images
       use Object as meta class
       to use it late as new version
       of classes"""       
     
    def __init__(self):
        
       pass
    def resize_image(self,w,h,in_,out):
        #method to get height weight and path of the folder to 
        #resize input file
        #weight must be integer or Number
        #height must be integer or Number
        base=img.open(in_)
        try:
            
            w=int(w)
            
        except ValueError:
            
            print "On argument 1 ,Weight\nA number excepted,not another type"
            return
            
        try:
            h=int(h)
            
        except ValueError:
            
            print "On argument 2 ,Height\nA number excepted,not another type"
            return
            
        out_file=base.resize((w,h))
        out_file.save(out)
    
    def rotate_image(self,deegres,in_,out):
        #method to get deegres of the rotatetion and out path to 
        #rotate input file
        #deegres must be number
        base=img.open(in_)
        

        try:
            deegres=int(deegres)
        except ValueError:
            #argument must be integer noot another type
            print "On argument 1 ,Deegres\nA number excepted,not another type"
            return

        out_file=base.rotate(deegres)
        out_file.save(out)
    
    def do_all(self,w,h,deegres,in_,out):
        #method to get weight , height , deegres and out path to
        #rotate , resize and save an input file
        #every argument must be number
        base=img.open(in_)
        
        try:
            
            w=int(w)
            
        except ValueError:
            
            print "On argument 1 ,Weight\nA number excepted,not another type"
            return
            
        try:
            h=int(h)
            
        except ValueError:
            
            print "On argument 2 ,Height\nA number excepted,not another type"
            return
            
        try:
            
            deegres=int(deegres)
            
        except ValueError:
            
            print "On argument 3 ,Deegres\nA number excepted,not another type"
            return
            
        out_=base.rotate(deegres)
        out_file=out_.resize((w,h))
        out_file.save(out)